# KYC Reliance Customer Registration

Allows you to register customer details with Banxa before an Order is created. This reduces the need for customers to re-submit personal details and perform KYC during the Banxa checkout flow. Detailed guide on how to implement this API can be found here.

This endpoint is restricted and subject to Banxa approval.

Endpoint: POST /api/identities/reliance
Version: 1.3
Security: sec0

## Request fields (application/json):

  - `account_reference` (string, required)
    Unique customer reference provided by you. This should be the same value that is passed when calling the calling the [Create Order](ref:create-order) endpoint.

  - `email` (string, required)
    Customer's email address. Must be a valid email address, and the Customer must have access to this email address to perform OTP verification if required.

  - `mobile_number` (string)
    Customer's contact number. Must be a valid mobile number and can support a value with or without "+" in the input.

  - `given_name` (string, required)
    Customer's given / first name.

  - `middle_name` (string)
    Customer's second / middle name/s

  - `surname` (string, required)
    Customer's surname / last name.

  - `dob` (string, required)
    Customer's date of birth (e.g. "1985-01-31"). Required to format as ISO 8601 Date format : YYYY-MM-DD.

  - `address_line_1` (string, required)
    Customer's residential address: Street number, street name and street type/suffix. E.g. "2 Abbey Road".

  - `suburb` (string, required)
    Address city or suburb.

  - `post_code` (string, required)
    Address postal / PIN / ZIP code.

  - `state` (string, required)
    Address state / region. The 2-letter abbreviation for US States must be used.

  - `country` (string, required)
    Customer's country of residence. Required to be formatted using ISO 3166 two-letter country code e.g. "US" or "AU".

  - `document_type` (string, required)
    Supported values are PASSPORT , DRIVING_LICENSE or IDENTIFICATION,

  - `document_number` (string, required)
    The unique identity document number. For example a Passport number.

  - `ssn` (string)
    Customer's Social Security Number. Required if the Customer's Country of Residence is United States (e.g. the 'country' parameter contains a value of "US"). Must be submitted in the following format: "XXX-XX-XXXX".

  - `screening_date` (string)
    The most recent date on which a PEP & Sanction screening check was conducted for the Customer. Required to format as ISO 8601 Date format : YYYY-MM-DD , date must be today or before.

  - `screening_sanctions_result` (boolean)
    If the Sanctions screening scan revealed the Customer is Sanctioned, then return a value of TRUE, otherwise return a value of FALSE.

  - `screening_pep_result` (boolean)
    If the PEP screening scan revealed the Customer is a PEP, then return a value of TRUE otherwise return a value of FALSE.

## Response 200 fields (application/json):

  - `data` (object)

  - `data.account` (object)

  - `data.account.account_id` (string)
    Example: "d3be8dfe1eea6f55725d5784a83d4ce9"

  - `data.account.account_reference` (string)
    Example: "test001001"

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.status` (string)
    Example: "422"

  - `errors.title` (string)
    Example: "Invalid Parameters"

  - `errors.detail` (object)

  - `errors.detail.account_reference` (string)
    Example: "The account reference field is required when mobile is not present."

  - `errors.detail.mobile` (string)
    Example: "The mobile field is required when account reference is not present."


